/* eslint-disable */
import React from 'react'
import SVG from 'components/Svg'

export default props => {
  return (
    <SVG viewBox={'0 0 35 35'} {...props}>
      <path d="M15.8,3.4h-1.1V2.3h1.1V3.4z M18.1,2.3h-1.1v1.1h1.1V2.3z M20.3,2.3h-1.1v1.1h1.1V2.3z M29.9,16.1v4.2H17.5v-4.2 c0-0.8,0.5-1.5,1.3-1.6l3.2-0.8V13h0c-0.7-0.5-1.1-1.3-1.1-2.3V9.6c0-1.6,1.3-2.8,2.8-2.8s2.8,1.3,2.8,2.8v1.1 c0,0.9-0.5,1.7-1.1,2.3h0v0.7l3.2,0.8C29.4,14.7,29.9,15.3,29.9,16.1z M22,10.7c0,0.9,0.8,1.7,1.7,1.7c0.9,0,1.7-0.8,1.7-1.7V9.6 c0-0.9-0.8-1.7-1.7-1.7c-0.9,0-1.7,0.8-1.7,1.7V10.7z M28.8,16.1c0-0.3-0.2-0.5-0.4-0.5l-4.1-1v-1.1c-0.2,0-0.4,0.1-0.6,0.1 c-0.2,0-0.4,0-0.6-0.1v1.1l-4.1,1c-0.3,0.1-0.4,0.3-0.4,0.5v3.1h10.2V16.1z M12.4,0H35v22.6h-1.1v9.6c0,1.6-1.3,2.8-2.8,2.8H2.8 C1.3,35,0,33.7,0,32.2V8.5c0-0.9,0.8-1.7,1.7-1.7h10.7V0z M1.1,8.5v22h1.1V9h10.2V7.9H1.7C1.4,7.9,1.1,8.2,1.1,8.5z M32.7,32.2 v-2.8h-7.1L24,31.6H1.1v0.6c0,0.9,0.8,1.7,1.7,1.7H31C32,33.9,32.7,33.1,32.7,32.2z M32.7,22.6h-2.3v5.6h2.3V22.6z M33.9,21.5V5.6 H13.5v4.5H3.4v20.3h20l1.7-2.3h4.2v-5.6H14.1v-9h1.1v7.9H33.9z M13.5,1.1v3.4h20.3V1.1H13.5z M4.5,22.6H13v-1.1H5.6v-9h9.6v-1.1 H4.5V22.6z M17.5,11.3h-1.1v1.1h1.1V11.3z M19.8,11.3h-1.1v1.1h1.1V11.3z M4.5,24.8h23.7v-1.1H4.5V24.8z M4.5,27.1h23.7V26H4.5 V27.1z M4.5,29.4h18.1v-1.1H4.5V29.4z M26,31.6h1.1v-1.1H26V31.6z M28.2,31.6h1.1v-1.1h-1.1V31.6z M30.5,31.6h1.1v-1.1h-1.1V31.6z" />
    </SVG>
  )
}
